#!/bin/sh
PLUGIN=Fluctus
# Check for common errors.
whoami | grep root > /dev/null    && echo "This script should not be run as root." && exit 1
! which zenity > /dev/null        && echo "Missing required dependency 'zenity'."  && exit 1
ldd plugin.dat | grep "not found" && echo "Missing required library dependency."   && exit 1

# Decide where to install.
clap_dir=$(echo "$CLAP_PATH" | sed 's/:.*//')
clap_dir=${clap_dir:-$HOME/.clap}

# Copy the plugin file over.
echo "Installing to $clap_dir/nakst/$PLUGIN.clap"
mkdir -p "$clap_dir/nakst"
cp plugin.dat "$clap_dir/nakst/$PLUGIN.clap"
